@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300..700&family=Racing+Sans+One&display=swap');

.racing-sans-one-regular {
    font-family: "Racing Sans One", sans-serif;
    font-weight: 400;
    font-style: normal;
}
/* rule that applies to every element, sets margin and padding to 0 */
* {
    margin: 0%;
    padding: 0%;
}
body {
    font-family: 'Quicksand';
}

/* TOP OF PAGE NAV BAR*/
.header {
    min-height: 100px;
    width: 100%;
    background-color: #ffcec8;
}
nav {
    display: flex;
    justify-content: space-between;
    align-items: centre;
    font-family: 'Racing Sans One';
    padding: 4% 6%;
}
nav img {
    width: 150px;
    margin: 0%;
    border: solid 2px white;
}
.navigation-links {
    flex: 1; /* so links take up full space of div */
    text-align: right;
    margin: auto;
}
.navigation-links ul li {
    list-style: none;
    display: inline-block; /* no line break, links appear beside eachother */
    padding: 6px 10px;
    position: relative;
}
.navigation-links ul li a {
    text-decoration: none;
    color: #ffffff;
    font-size: x-large;
}
.navigation-links ul li:hover {
    text-decoration: none;
    background-color: #ffffff;
    border-radius: 5%;
}
.navigation-links ul li:hover a {
    color: #fb5315;
}

/*HOME PAGE*/
.textBox {
    width: 90%;
    color: #fb5315;
    text-align: center;
    margin: 30px auto;
}
.textBox h1 {
    margin-bottom: 20px;
    font-size: 50px;
}
.textBox h3 {
    font-size: 25px;
    margin-bottom: 20px;
}
.textBox p {
    font-size: 20px;
}
.button {
    font-family: 'Quicksand';
    font-size: 20px;
    background-color: white;
    border: solid 2px #fb5315;
    color: #fb5315;
    padding: 8px 16px;
    outline: none;
    border-radius: 8px;
    position: relative;
    margin: 20px 20px;
    cursor: pointer;
}
/* making a pseudo element that will pop out when user hvers over button */
/* must use position absolute so pseudo element moves with button as user scrolls*/
.button::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 90%;
    height: 90%;
    background-color: #fb5315;
    z-index: -1;
    border-radius: 8px;
    border: solid 2px black;
    transition: all 0.3s ease-in-out; /*100% of pseudo element will move smoothly and will take 0.3s to complete*/
}
/* shifts speudo element down and to the right by 4px when button is hovered over*/
.button:hover::after {
    top: 4px;
    left: 4px;
    width: 100%;
    height: 100%;
}
/*HOME PAGE*/
/* First block style, white text on pink background */
/* each section will alternate between this and pink text 
on white background */
.styleOne {
    width: 100%;
    background-color: #ffcec8;
    color: #ffffff;
}
.styleOne h2 {
    margin-left: 5%;
    padding-top: 20px;
    text-align: left;
    font-size: 30px;
}
.styleOne p {
    padding-bottom: 20px;
    padding-right: 5%;
    text-align: right;
    font-size: 18px;
}
/* second block style */
.styleTwo {
    width: 100%;
    background-color: #ffffff;
    color: #ffcec8;
}
.styleTwo h2 {
    margin-right: 5%;
    padding-top: 20px;
    text-align: right;
    font-size: 30px;
}
.styleTwo p {
    padding-bottom: 20px;
    padding-left: 5%;
    text-align: left;
    font-size: 18px;
}
/* styling for email service inputs */
.emailService form {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}
.emailService input {
    font-family: 'Quicksand';
    font-size: 20px;
    background-color: white;
    border: solid 2px #fb5315;
    color: #fb5315;
    border-radius: 8px;
    margin: 10px 10px;
}
.socials{
    display: inline-flex;
    justify-content: space-evenly;
    padding: 20px 25px;
    font-size: 15px;
}
footer {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    text-align: center;
}

/* SERVICES PAGE */
main {
    display: flex;
    flex-direction: column;
}
/* each service is displayed in a row, divided into a box with the
title and a box with the services description*/
/* row styling */
.row {
    margin-bottom: 5px;
    display: flex;
    width: 100%;
    flex: 1;
    justify-content: center;
    min-height: 200px;
}
/* service description box styling */
.row .description {
    width: 40%;
    text-align: center;
    align-content: center;
    color: #ffcec8;

}
/* service title styling */
.row .product {
    width: 60%;
    text-align: center;
    align-content: center;
    color: #ffffff;
    background-color: #ffcec8;
}
/* free class pop-up styling */
.alert {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.btn {
    font-family: 'Quicksand';
    font-size: 20px;
    background-color: white;
    border: solid 2px #fb5315;
    color: #fb5315;
    padding: 8px 16px;
    outline: none;
    border-radius: 8px;
    position: relative;
    margin: 10px 10px;
    cursor: pointer;
}
.popup {
    width: 300px;
    visibility: hidden;
    background-color: #fb5315;
    border-radius: 8px;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.1);
    text-align: center;
    padding: 10px 5px;
    color: #ffcec8;
    transition: transform 0.4s, top 0.4s;
}
/* styles that will be added/removed when user clicks buttons*/
.open-popup {
    visibility: visible; /* popup will be visible */
    top: 50%; /* popup will appear in center of screen */
    transform: translate(-50%, -50%) scale(1); /* popup will get larger (scale goes from 0.1 to 1) */
}
/*Image Banner Styling */
.pictureRow {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-evenly;
}
.displayServices {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin: 15px 4px;
    overflow: hidden;
}
/*when window is less that 900px, pictures will be hidden */
@media (max-width: 900px) {
    .pictureRow {
        display: none;
    }
}


/* Styling for contact page */
.formContainer {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}
.contactLeft {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 20px;
}
.contactTitle h2 {
    font-weight: 600;
    color: #fb5315;
    font-size: 40px;
    margin-bottom: 5px;
}
.contactTitle hr {
    border: none;
    width: 120px;
    height: 5px;
    background-color: #fb5315;
    border-radius: 10px;
    margin-bottom: 20px;
}
.contactInputs {
    width: 400px;
    height: 50px;
    border: none;
    outline: none;
    padding-left: 25px;
    font-weight: 500;
    color: #ffcec8;
    border-radius: 8px;
}
.contactLeft textarea{
    height: 140px;
    padding-top: 20px;
}
/* border will appear around input field user is in */
.contactInputs:focus{
    border: 2px solid #fb5315
}
.contactInputs::placeholder{
    color: #ffcec8;
    font-family: 'Quicksand';
}